
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

// LavSetupDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dslavsplit.h"
#include "LavSetupDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLavSetupDlg dialog


CLavSetupDlg::CLavSetupDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLavSetupDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLavSetupDlg)
	m_bCheckStereo = FALSE;
	m_bCheckWMA2 = FALSE;
	m_bCheckWMAALL = FALSE;
	m_bCheckWMAPRO = FALSE;
	//}}AFX_DATA_INIT
	m_bChanged = FALSE;
}


void CLavSetupDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLavSetupDlg)
	DDX_Control(pDX, IDC_CHECK_WMAPRO, m_ctrlCheckWMAPRO);
	DDX_Control(pDX, IDC_CHECK_WMAALL, m_ctrlCheckWMAALL);
	DDX_Control(pDX, IDC_CHECK_WMA2, m_ctrlCheckWMA2);
	DDX_Control(pDX, IDC_CHECK_STEREO, m_ctrlCheckStereo);
	DDX_Check(pDX, IDC_CHECK_STEREO, m_bCheckStereo);
	DDX_Check(pDX, IDC_CHECK_WMA2, m_bCheckWMA2);
	DDX_Check(pDX, IDC_CHECK_WMAALL, m_bCheckWMAALL);
	DDX_Check(pDX, IDC_CHECK_WMAPRO, m_bCheckWMAPRO);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLavSetupDlg, CDialog)
	//{{AFX_MSG_MAP(CLavSetupDlg)
	ON_BN_CLICKED(IDC_BUTTON_DEFAULTS, OnButtonDefaults)
	ON_BN_CLICKED(IDC_CHECK_STEREO, OnCheckStereo)
	ON_BN_CLICKED(IDC_CHECK_WMA2, OnCheckWma2)
	ON_BN_CLICKED(IDC_CHECK_WMAALL, OnCheckWmaall)
	ON_BN_CLICKED(IDC_CHECK_WMAPRO, OnCheckWmapro)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLavSetupDlg message handlers

void CLavSetupDlg::OnButtonDefaults() 
{
	m_bCheckWMA2 = FALSE;
	m_bCheckWMAALL = FALSE;
	m_bCheckWMAPRO = FALSE;
	m_bCheckStereo = FALSE;
	UpdateData(FALSE);
	m_bChanged = TRUE;
}

void CLavSetupDlg::OnCheckStereo() 
{
	m_bChanged = TRUE;
}
void CLavSetupDlg::OnCheckWma2() 
{
	m_bChanged = TRUE;
}
void CLavSetupDlg::OnCheckWmaall() 
{
	m_bChanged = TRUE;
}
void CLavSetupDlg::OnCheckWmapro() 
{
	m_bChanged = TRUE;
}
